UriResolverReaderParameter (Social Portal ASL Extension 1.4.0-4.12.0-169465 API)
Date: 2018-07-18

org.gcube.applicationsupportlayer.social.storage

## Class UriResolverReaderParameter

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.storage.UriResolverReaderParameter

-     public class UriResolverReaderParameter
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UriResolverReaderParameter(String context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseUri()`
    `String` | `getContentTypeParameter()`
    `String` | `getFileNameParameter()`
    `Map<String,String>` | `getHashParemeters(String smp, String fileName, String contentType)`
    `String` | `getQuery()`
    `String` | `getSmpParameter()`
    `boolean` | `isAvailable()`
    `InputStream` | `resolveAsInputStream(String smp, String fileName, String contentType)` Resolve - open stream with http get method
    `String` | `resolveAsUriRequest(String smp, String fileName, String contentType, boolean encodeParams)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### UriResolverReaderParameter

          public UriResolverReaderParameter(String context)
                                     throws Exception

      Parameters:
        `context` - the current infrastructure context (scope)
      Throws:
        `Exception`

  - ### Method Detail

    - #### resolveAsInputStream

          public InputStream resolveAsInputStream(String smp,
                                                  String fileName,
                                                  String contentType)
                                           throws Exception

      Resolve - open stream with http get method
      Parameters:
        `smp` -
      Returns:
      Throws:
        `IOException`
        `Exception`

    - #### resolveAsUriRequest

          public String resolveAsUriRequest(String smp,
                                            String fileName,
                                            String contentType,
                                            boolean encodeParams)
                                     throws Exception

      Parameters:
        `smp` -
        `fileName` -
        `contentType` -
        `encodeParams` - - if true, translates a string into `application/x-www-form-urlencoded` format using a specific encoding scheme
      Returns:
        the http url to get file
      Throws:
        `Exception`

    - #### getHashParemeters

          public Map<String,String> getHashParemeters(String smp,
                                                      String fileName,
                                                      String contentType)
                                               throws Exception

      Parameters:
        `smp` -
        `fileName` -
        `contentType` -
      Returns:
      Throws:
        `Exception`

    - #### isAvailable

          public boolean isAvailable()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getBaseUri

          public String getBaseUri()

    - #### getSmpParameter

          public String getSmpParameter()

    - #### getFileNameParameter

          public String getFileNameParameter()

    - #### getContentTypeParameter

          public String getContentTypeParameter()

    - #### getQuery

          public String getQuery()

Copyright © 2018. All Rights Reserved.